## ocamlpam 1.1

=== Makefile ===
OCAMLC=ocamlc
OCAMLOPT=ocamlopt
OCAMLMKLIB=ocamlmklib
OCAMLMKLIB_OPTS=-oc pam_stubs -lpam

VERSION=1.1
DISTNAME=ocamlpam-$(VERSION)

SOURCES=pam.mli pam.ml
BASENAME=pam_stubs
LIBNAME=lib$(BASENAME).a

DESTDIR=$(shell ocamlc -where)

.PHONY: all dist clean install

all: META byte opt

META: META.in
	sed 's/_VERSION_/$(VERSION)/' META.in > META

$(LIBNAME): pam_stubs.c
	$(OCAMLC) -c pam_stubs.c
	$(OCAMLMKLIB) $(OCAMLMKLIB_OPTS) pam_stubs.o

byte: $(LIBNAME) $(SOURCES)
	$(OCAMLC) -c pam.mli
	$(OCAMLC) -c pam.ml
	$(OCAMLMKLIB) $(OCAMLMKLIB_OPTS) -o pam pam.cmo

opt: $(LIBNAME) $(SOURCES)
	$(OCAMLOPT) -c pam.mli
	$(OCAMLOPT) -c pam.ml
	$(OCAMLMKLIB) $(OCAMLMKLIB_OPTS) -o pam pam.cmx

install:
	install -d $(DESTDIR)/pam
	install -m 644 -t $(DESTDIR)/pam META *.mli *.cmi *.cmx *.cma *.cmxa *.a
	install -d $(DESTDIR)/stublibs
	install -m 644 -t $(DESTDIR)/stublibs dll$(BASENAME).so

dist: clean
	mkdir -p $(DISTNAME)
	-cp * $(DISTNAME)
	tar cvzf $(DISTNAME).tar.gz $(DISTNAME)
	zip -r $(DISTNAME).zip $(DISTNAME)
	rm -fr $(DISTNAME)

clean:
	-rm -fr *.cm* *.a *.o *.so *~ $(DISTNAME).tar.gz $(DISTNAME).zip $(DISTNAME) META

=== debian/changelog ===
ocamlpam (1.1-6build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 08:13:46 +0100

ocamlpam (1.1-6) unstable; urgency=medium

  * Update Vcs-*
  * Bump debhelper compat level to 13, and do no longer use cdbs
  * Bump Standards-Version to 4.6.2
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 09 Aug 2023 13:48:46 +0200

ocamlpam (1.1-5) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Call CAMLParam0 before CAMLlocal to resolve FTBFS with ocaml 4.04.
  * Switch source package format to 3.0 (quilt)

  [ Stéphane Glondu ]
  * Update Vcs-*
  * Bump debhelper compat to 10

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Jul 2017 22:08:55 +0200

ocamlpam (1.1-4) unstable; urgency=low

  * Switch packaging to dh-ocaml 0.9
  * Switch patches to quilt, add README.source
  * debian/control:
    - update my e-mail address, remove DMUA
    - move to section ocaml
    - update Standards-Version to 3.8.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Oct 2009 09:31:37 +0200

ocamlpam (1.1-3) unstable; urgency=low

  * Add dh-ocaml as build-dependency
  * Use ocaml.mk as a CDBS "rules" (instead of "class") file

 -- Stephane Glondu <steph@glondu.net>  Sun, 01 Mar 2009 11:44:53 +0100

ocamlpam (1.1-2) unstable; urgency=low

  * Patch upstream Makefile (install target) to fix FTBFS on non-
    native architectures

 -- Stephane Glondu <steph@glondu.net>  Sat, 05 Jul 2008 09:15:36 +0200

ocamlpam (1.1-1) unstable; urgency=low

  * Initial release (Closes: #476482)

 -- Stephane Glondu <steph@glondu.net>  Mon, 23 Jun 2008 16:25:03 +0200

=== debian/control ===
Source: ocamlpam
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ocaml,
 libpam-dev,
 ocaml
Standards-Version: 4.6.2
Rules-Requires-Root: no
Section: ocaml
Homepage: http://sharvil.nanavati.net/projects/ocamlpam/
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlpam
Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlpam.git

Package: libpam-ocaml-dev
Architecture: any
Depends:
 libpam-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: OCaml bindings for the PAM library (development files)
 OCamlPAM is a wrapper for the Pluggable Authentication Modules (PAM)
 library. PAM provides a flexible mechanism for authenticating users
 via administrator-defined policies. PAM has modules for
 authenticating via Unix passwd files, Kerberos, LDAP, etc. Additional
 modules for custom authentication mechanisms can be created and
 deployed without recompiling existing services based on
 PAM. Moreover, policies defining the authentication requirements can
 be changed at runtime without restarting running services.
 .
 This package contains the development stuff you need to use the
 OCamlPAM library in your programs.

Package: libpam-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the PAM library (runtime)
 OCamlPAM is a wrapper for the Pluggable Authentication Modules (PAM)
 library. PAM provides a flexible mechanism for authenticating users
 via administrator-defined policies. PAM has modules for
 authenticating via Unix passwd files, Kerberos, LDAP, etc. Additional
 modules for custom authentication mechanisms can be created and
 deployed without recompiling existing services based on
 PAM. Moreover, policies defining the authentication requirements can
 be changed at runtime without restarting running services.
 .
 This package contains only the shared runtime stub library for
 OCamlPAM.

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://sharvil.nanavati.net/projects/ocamlpam/ files/ocamlpam-(.*)\.tar\.gz
